# Based on https://github.com/simonhammes/copr

%global debug_package %{nil}
%global golangver 1.23.1

Name: helmfile
Version: 0.171.0
Release: 1%{?dist}
Summary: Declarative spec for deploying helm charts

License: MIT
URL: https://github.com/helmfile/helmfile
Source0: %{url}/releases/tag/v%{version}/%{name}-%{version}.tar.gz
Source1: %{name}-%{version}-vendor.tar.gz
BuildRequires:  golang >= %{golangver}
BuildRequires:  go-rpm-macros

%description
Declaratively deploy your Kubernetes manifests, Kustomize configs, and
Charts as Helm releases. Generate all-in-one manifests for use with ArgoCD.

%prep
%autosetup -a1

%build
LDFLAGS="-s -w"
%gobuild

%install
install -p -D %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc CODEOWNERS CONTRIBUTING.md README.md SECURITY.md USERS.md examples docs
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Mar 17 2025 sheePackager <packager@shee.org> - 0.171.0-1
- Build for EL

